## 66-service-boot 3.7.0

=== debian/changelog ===
66-service-boot (3.7.0-experimental3) UNRELEASED; urgency=medium

  * Enabled rc-local & updated version controls. 
  * Added temporary dependency to s6-66-services to prepare trasition to 66 v0.8

 -- ProwlerGr <Prowler73@gmail.com>  Fri, 13 Jun 2025 22:22:22 +1000
 

66-service-boot (3.7.0-experimental2) UNRELEASED; urgency=medium

  * Applied patch to system-fsck frontend to resolve erratic bug caused by 66-yeller. 

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 08 Jun 2024 22:22:22 +1000

66-service-boot (3.7.0-experimental1) UNRELEASED; urgency=medium

  * Renamed & rebuilt from upstream. 

 -- ProwlerGr <Prowler73@gmail.com>  Fri, 07 Jun 2024 22:22:22 +1000

boot-66serv (3.7.0experimental1-1) UNRELEASED; urgency=medium

  * Rebuilt from upstream.

 -- ProwlerGr <Prowler73@gmail.com>  Fri, 31 May 2024 22:22:22 +1000

boot-66serv (3.0.0experimental1-2) UNRELEASED; urgency=medium

  * Modified debian/rules file to change default 66 values that were reported causing issues.

 -- ProwlerGr <Prowler73@gmail.com>  Sun, 25 Feb 2024 22:22:22 +1000

boot-66serv (3.0.0experimental1-1) UNRELEASED; urgency=high

  * Initial release. Experimental

 -- ProwlerGr <Prowler73@gmail.com>  Thu, 18 Jan 2024 22:22:22 +1000
