=== debian/control ===
Source: 66-service-boot
Section: init-diversity
Priority: optional
Maintainer: ProwlerGr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 66 (<< 0.8.0.0),
 66-tools (>= 0.1.0.1),
 s6 (>= 2.12),
 oblibs (>= 0.2.1.0),
 skalibs-dev (>= 2.14),
 libs6-dev (>= 2.12),
 libexecline-dev (>= 2.9),
 execline (>= 2.9),
 libexecline2.9 ,
Standards-Version: 4.6.2
Homepage: https://git.obarun.org/66-service/arch/boot
Vcs-Browser: https://git.obarun.org/66-service/debian/66-service-boot
Vcs-Git: https://git.obarun.org/66-service/debian/66-service-boot.git

Package: 66-service-boot
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 oblibs (>= 0.2.1.0),
 66 (<< 0.8.0.0),
 66-tools (>= 0.1.0.1),
Recommends:
 s6-66-init-diversity (<< 0.0.1.0) | s6-66-init (<< 0.0.1.0),
 66-service-boot-user (<< 0.8.0),
 66-service-scandir (<< 0.8.0),
 66-service-xdg-user-dirs (<< 0.0.2),
Replaces:
 boot-66serv
Breaks:
 boot-66serv
Description: Essential 66 service module to boot a system with s6-66.
 This package contains the highly essential boot service module which 
 is highly configurable & customisable to boot a system using s6-66.
