=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#CONFIG_OPT += --package=66-service-boot
CONFIG_OPT += --version=3.7.0
#
CONFIG_OPT += --prefix=/usr
CONFIG_OPT += --exec-prefix=/usr
#
CONFIG_OPT += --dynlibdir=\$${prefix}/lib
CONFIG_OPT += --libdir=\$${prefix}/lib
CONFIG_OPT += --libexecdir=\$${prefix}/libexec
CONFIG_OPT += --bindir=\$${prefix}/bin
CONFIG_OPT += --with-lib=\$${prefix}/lib/skalibs
CONFIG_OPT += --with-lib=\$${prefix}/lib/execline
CONFIG_OPT += --with-lib=\$${prefix}/lib/s6
CONFIG_OPT += --with-sysdeps=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
CONFIG_OPT += --shebangdir=\$${prefix}/lib/execline/bin
CONFIG_OPT += --with-s6-log-timestamp=iso
CONFIG_OPT += --includedir=\$${prefix}/include
#CONFIG_OPT += --enable-absolute-paths
#CONFIG_OPT += --enable-shared
#CONFIG_OPT += --enable-allstatic
CONFIG_OPT += --HOSTNAME=init-diversity
CONFIG_OPT += --TZ=ETC
CONFIG_OPT += --TTY=!2
CONFIG_OPT += --KEYMAP=!us
CONFIG_OPT += --FONT=!lat9w-16
#CONFIG_OPT += --FONT_MAP=
#CONFIG_OPT += --FONT_UNIMAP=
CONFIG_OPT += --FSTAB=!no
CONFIG_OPT += --SWAP=!yes
CONFIG_OPT += --LVM=!no
CONFIG_OPT += --DMRAID=!no
CONFIG_OPT += --BTRFS=!no
CONFIG_OPT += --ZFS=!no
CONFIG_OPT += --ZFS_IMPORT=!zpoolcache
CONFIG_OPT += --MDRAID=!no
CONFIG_OPT += --CHECK_CONFIGURATION=!no
CONFIG_OPT += --SETUPCONSOLE=!yes
CONFIG_OPT += --HARDWARECLOCK=localtime
CONFIG_OPT += --UDEV=!yes
CONFIG_OPT += --SYSCTL=!yes
CONFIG_OPT += --FORCECHCK=!no
CONFIG_OPT += --LOCAL=!yes
CONFIG_OPT += --CONTAINER=!no
CONFIG_OPT += --TMPFILE=!no
CONFIG_OPT += --MODULE_KERNEL=!no
CONFIG_OPT += --MODULE_SYSTEM=!no
CONFIG_OPT += --RANDOMSEED=!yes
CONFIG_OPT += --CRYPTTAB=!no
#CONFIG_OPT += --FIREWALL=
CONFIG_OPT += --CGROUPS=!yes
CONFIG_OPT += --MNT_PROC=!no
CONFIG_OPT += --MNT_SYS=!no
CONFIG_OPT += --MNT_DEV=!no
CONFIG_OPT += --MNT_RUN=!yes
CONFIG_OPT += --MNT_TMP=!yes
CONFIG_OPT += --MNT_PTS=!yes
CONFIG_OPT += --MNT_SHM=!yes
CONFIG_OPT += --MNT_NETFS=!no
CONFIG_OPT += --POPULATE_SYS=!yes
CONFIG_OPT += --POPULATE_DEV=!yes
CONFIG_OPT += --POPULATE_RUN=!yes
CONFIG_OPT += --POPULATE_TMP=!yes

%:
	dh $@

override_dh_clean:
	if test -e README.md; then rm -rf README.md; fi
	if test -e config.mak; then rm -rf config.mak; fi
	dh_clean

override_dh_auto_configure:
	./configure -- $(CONFIG_OPT)

override_dh_install:
	dh_install
	# Add the "!#/usr/bin/sh" shebang to rc.local
	sed -i "1i #!/usr/bin/sh" $(CURDIR)/debian/*/etc/66/rc.local

#~ 	# Remove the --bindir paths from service frontends as locations differ in Debian (not always under /usr/bin)
#~ 	set -e
#~ 	{ for i in *; do sed -i "s\/usr/bin/\ \g" $(CURDIR)/debian/*/usr/share/66/service/* &>/dev/null;  done } 2>/dev/null
#~ 	{ for i in *; do sed -i "s\/usr/bin/\ \g" $(CURDIR)/debian/*/usr/share/66/service/user/* &>/dev/null;  done } 2>/dev/null
#~ 	# Sometimes the sed -i function leaves a temporary sed* file behind - we absolutely don't want these in our package
#~ 	{ for i in *; do rm -rf $(CURDIR)/debian/*/usr/share/66/service/sed* &>/dev/null;  done } 2>/dev/null
#~ 	{ for i in *; do rm -rf $(CURDIR)/debian/*/usr/share/66/service/user/sed* &>/dev/null;  done } 2>/dev/null

override_dh_auto_build:
