## 66-service-boot 3.8.1

=== debian/changelog ===
66-service-boot (3.8.1-0experimental2) UNRELEASED; urgency=medium

  * Fixed purge option in postrm maintainer script

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 05 Apr 2025 22:22:22 +1000

66-service-boot (3.8.1-0experimental1) UNRELEASED; urgency=medium

  * Adapted to 66 v(0.8.0.0). 
  * Updated debian/rules

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 05 Apr 2025 22:22:22 +1000
