=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- 66 (<< 0.8.0.0),
- 66-tools (>= 0.1.0.1),
+ 66 (>= 0.8.0.0),
+ 66-tools (>= 0.1.1.0),
  s6 (>= 2.12),
- oblibs (>= 0.2.1.0),
+ oblibs (>= 0.3.0.0),
  skalibs-dev (>= 2.14),
  libs6-dev (>= 2.12),
  libexecline-dev (>= 2.9),
@@ -24,14 +24,14 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- oblibs (>= 0.2.1.0),
- 66 (<< 0.8.0.0),
- 66-tools (>= 0.1.0.1),
+ oblibs (>= 0.3.0.0),
+ 66 (>= 0.8.0.0),
+ 66-tools (>= 0.1.1.0),
 Recommends:
- s6-66-init-diversity (<< 0.0.1.0) | s6-66-init (<< 0.0.1.0),
- 66-service-boot-user (<< 0.8.0),
- 66-service-scandir (<< 0.8.0),
- 66-service-xdg-user-dirs (<< 0.0.2),
+ s6-66-init,
+ 66-service-boot-user (>= 0.5.3),
+ 66-service-scandir (>= 0.8.1),
+ 66-service-xdg-user-dirs (>= 0.0.2),
 Replaces:
  boot-66serv
 Breaks:
