=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-#CONFIG_OPT += --package=66-service-boot
-CONFIG_OPT += --version=3.7.0
+#CONFIG_OPT += --package=66-service-xxxxx
+CONFIG_OPT += --version=3.8.1
 #
 CONFIG_OPT += --prefix=/usr
 CONFIG_OPT += --exec-prefix=/usr
@@ -45,7 +45,7 @@
 CONFIG_OPT += --UDEV=!yes
 CONFIG_OPT += --SYSCTL=!yes
 CONFIG_OPT += --FORCECHCK=!no
-CONFIG_OPT += --LOCAL=!yes
+CONFIG_OPT += --LOCAL=!no
 CONFIG_OPT += --CONTAINER=!no
 CONFIG_OPT += --TMPFILE=!no
 CONFIG_OPT += --MODULE_KERNEL=!no
@@ -78,17 +78,15 @@
 override_dh_auto_configure:
 	./configure -- $(CONFIG_OPT)
 
-override_dh_install:
-	dh_install
-	# Add the "!#/usr/bin/sh" shebang to rc.local
-	sed -i "1i #!/usr/bin/sh" $(CURDIR)/debian/*/etc/66/rc.local
+#override_dh_auto_install:
+#	dh_auto_install --destdir=debian/66-service-boot/
 
-#~ 	# Remove the --bindir paths from service frontends as locations differ in Debian (not always under /usr/bin)
-#~ 	set -e
-#~ 	{ for i in *; do sed -i "s\/usr/bin/\ \g" $(CURDIR)/debian/*/usr/share/66/service/* &>/dev/null;  done } 2>/dev/null
-#~ 	{ for i in *; do sed -i "s\/usr/bin/\ \g" $(CURDIR)/debian/*/usr/share/66/service/user/* &>/dev/null;  done } 2>/dev/null
-#~ 	# Sometimes the sed -i function leaves a temporary sed* file behind - we absolutely don't want these in our package
-#~ 	{ for i in *; do rm -rf $(CURDIR)/debian/*/usr/share/66/service/sed* &>/dev/null;  done } 2>/dev/null
-#~ 	{ for i in *; do rm -rf $(CURDIR)/debian/*/usr/share/66/service/user/sed* &>/dev/null;  done } 2>/dev/null
+#override_dh_install:
+#	dh_install
+	# Remove the --bindir paths from service frontends as locations differ in Debian (either /usr/bin or /usr/sbin)
+	# set -e
+	# { for i in *; do sed -i "s\/usr/bin/\ \g" $(CURDIR)/debian/*/usr/share/66/service/* &>/dev/null;  done } 2>/dev/null
+	# { for i in *; do sed -i "s\/usr/bin/\ \g" $(CURDIR)/debian/*/usr/share/66/service/user/* &>/dev/null;  done } 2>/dev/null
 
 override_dh_auto_build:
+
